#include <Servo.h>

Servo myservo;
int pos = 0;
const int Trigger = 13;  //Pin digital 2 para el Trigger del sensor
const int Echo = 12;     //Pin digital 3 para el Echo del sensor
int ledPinD = 8;
int ledPinE = 2;

void setup() {
  myservo.attach(6);
  Serial.begin(9600);          //iniciailzamos la comunicación
  pinMode(Trigger, OUTPUT);    //pin como salida
  pinMode(Echo, INPUT);        //pin como entrada
  digitalWrite(Trigger, LOW);  //Inicializamos el pin con 0
  pinMode(ledPinD, OUTPUT);
  pinMode(ledPinE, OUTPUT);
  myservo.write(0);  
}

void loop() {
  long t;  //timepo que demora en llegar el eco
  long d;  //distancia en centimetros

  digitalWrite(Trigger, HIGH);
  delayMicroseconds(10);  //Enviamos un pulso de 10us
  digitalWrite(Trigger, LOW);

  t = pulseIn(Echo, HIGH);  //obtenemos el ancho del pulso
  d = t / 1000;               //escalamos el tiempo a una distancia en cm

  Serial.print("Distancia: ");
  Serial.print(d);  //Enviamos serialmente el valor de la distancia
  Serial.print("cm");
  Serial.println();
  delay(100);  //Hacemos una pausa de 100ms



  if (d < 50 && d != -1) {
    digitalWrite(ledPinD, HIGH);
    digitalWrite(ledPinE, HIGH);
    for (int i = 0; i < 3; i++) {
      myservo.write(0);
      delay(1000);
      myservo.write(40);
      delay(1000);
    }
    myservo.write(0);
    digitalWrite(ledPinD, LOW);
    digitalWrite(ledPinE, LOW);
  }
}